strange behavior after install jquery-validation-ui. Compilation Failed

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

strange behavior after install jquery-validation-ui. Compilation Failed

kohai.raul
Dear,

I'm having some troubles after install jquery-validation-ui:1.4.

I followed the hints from http://limcheekin.github.com/jquery-validation-ui/docs/guide/overview.html, and when I try to run-app, the process makes the following question " You currently already have a version of the plugin installed [jquery-1.8.0]. Do you want to update to [jquery-1.7.2]? [y,n]"... thinking about that it maybe was a validation-ui requirement, I answered yes...  but the app is not able to compile nor run.

I try again, and again a new question, but the inverse ... "You currently already have a version of the plugin installed [jquery-1.7.2]. Do you want to update to [jquery-1.8.0]? [y,n] "

The case is that myapp is not able to compile/runapp. The pattern is always the same (from 1.8 to 1.7 or from 1.7 to 1.8):

| Loading Grails 2.1.1
| Configuring classpath.
| Environment set to development.....
| Packaging Grails application
> You currently already have a version of the plugin installed [jquery-1.7.2]. Do you want to update to [jquery-1.8.0]? [y,n] y
y
| Installing zip jquery-1.8.0.zip.....
| Installed plugin jquery-1.8.0
| Resolving plugin JAR dependencies.....
> You currently already have a version of the plugin installed [jquery-1.8.0]. Do you want to update to [jquery-1.7.2]? [y,n] n
n
| Plugin jquery-1.7.2 install aborted...
| Error Fatal error during compilation org.apache.tools.ant.BuildException: srcdir "/home/rcruz/.grails/2.1.1/projects/gestioconsentiment/plugins/jquery-1.7.2/grails-app/taglib" does not exist! (Use --stacktrace to see the full trace)

I tried to clean the project, but always has the same behavior...

It seems an strange circularity!! I don't understand how to solve,

Can you help me???? thanks a lot for your advice,
Reply | Threaded
Open this post in threaded view
|

Re: strange behavior after install jquery-validation-ui. Compilation Failed

Robin van Kaathoven
Check your dependencies in your buildconfig. Might be a double entry.
Also, might be an incorrect version number in application.properties
Reply | Threaded
Open this post in threaded view
|

Re: strange behavior after install jquery-validation-ui. Compilation Failed

kohai.raul
very much thanks Robin,

I found nothing strange in buildconfig nor application.properties.

But I decided uninstall the plugin and delete all mention, to clean, and now my project is running again.

thanks a lot, Robin,